package com.idle.wall.ad

import android.app.Activity
import com.idle.wall.ad.AdInstLoad
import com.idle.wall.ad.AdInstShower

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "F625C64CEF1F167289F1F50E27276A12"
        const val TOP_ON_AD_TOW = "303439D05F7C6E4E0E0CA0D9FE803212"
        const val TOP_ON_AD_THREE = "B94497028A74E381D75C0356BBA54512"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}